CHANGES
=======

* Deprecate neutron-fwaas as stadium project

16.0.0.0b1
----------

* Drop Python 2 Support
* setup.cfg: Cleanup
* Remove os-testr leftovers
* Remove fwaas\_v1 extensions
* Switch to official Ussuri jobs
* Remove unused import statement
* PDF documentation build
* Add 'none' to L3AgentExtensionAPI due to API changes

15.0.0
------

* Default firewall group rules from configuration file
* Complete move of neutron-fwaas tempest tests to tempest plugin
* Ignore fwg which has no ports when restarting l3-agent
* Fix bug when updating policy in firewall group
* Add format string configuration for FWaaS v2 logging
* Switch tempest multinode job to zuulv3 and python3
* Fix bug when removing a port from the firewall group
* Switch functional tests to be run using python3
* Fix list\_entries for netlink\_lib when running on py3
* Migrate functional tests job to zuul v3
* Add Python 3 Train unit tests
* Switch neutron-fwaas-v2-dsvm-tempest job to python 3
* Fix sorting of filter rules in legacy\_conntrack module
* Convert legacy-neutron-fwaas-v2-dsvm-tempest job to zuulv3
* Add bindep.txt file to neutron-fwaas repo
* Fix removing non-last port from the group
* netfilter\_log: Correctly decode binary type prefix
* Update hacking version
* Switch neutron-fwaas-fullstack job to zuulv3 syntax
* use logapi constants from neutron-lib
* Add L3 agent extension operation tests
* Dropping the py35 testing
* Replace git.openstack.org URLs with opendev.org URLs
* use test tools from neutron-lib
* fix gate
* OpenDev Migration Patch
* devstack: Enable q-fwaas-v2 by default
* stop using common db mixin methods
* use common constants from neutron-lib
* Replace openstack.org git:// URLs with https://
* Update master for stable/stein
* Fix the verification method before creating and updating the firewall rule

14.0.0
------

* Add new upgrade check
* Update lower-constraints to be same as in Neutron
* Migrate to stestr as unit tests runner
* Change openstack-dev to openstack-discuss

14.0.0.0b2
----------

* Fix firewall rule 'shared' check in updating fwp

14.0.0.0b1
----------

* fix tox python3 overrides
* add python 3.7 unit test job
* Add service checks before trying to configure it
* Remove midonet job
* Fix gate issues on master
* FWaaS v1->v2 DB migration
* Removing FWaaS v1 source code
* Change netns tests with oslo.privsep to check netns links
* Define types for C calls in netlink\_lib
* doc: Add policy reference
* Convert policy.json into policy-in-code
* Replace ryu with os\_ken
* Move port validation support into the driver
* ICMPv6 is not an available protocol when creating firewall rule
* Switch to tempest.common.utils.requires\_ext
* use neutron-lib for \_model\_query
* Correct package name libnetfilter-log on CentOS
* Add python 3.6 unit test job
* [Trivial Fix] modify spelling error of "resource"
* Update tox minversion to 2.0
* Increment versioning with pbr instruction
* Adding UTs for firewall driver\_api
* Subscribe Neutron port update events for FWG Logging handling
* Fix associating firewall group with DVR/L3HA port
* opt in for neutron-lib consumption patches
* Add functional test for FWaaS L3 logging driver
* use common rpc and exceptions from neutron-lib
* add local tox targets for pep8 and py3
* remove external\_network\_bridge option
* Use templates for cover and lower-constraints
* add python 3.6 unit test job
* switch documentation job to new PTI
* import zuul job settings from project-config
* Switch to neutron-lib version of fake\_notifier
* Remove remaining NFLOG rules on deleting log resource
* Should forward only first accepted packet to table 91 and 92
* Update neutron import
* Add dependency for generating reno
* Load neutron\_fwaas.conf with '--config-file' for neutron-server
* Update reno for stable/rocky

13.0.0.0rc1
-----------

* Add releasenote for FWaaS v2 logging
* [log] FWaaS L3 Logging driver based iptables
* Add python binding for libnetfilter\_log
* Adding resources callback handler for FWaaS v2 logging
* [log]: Add rpc stuff for logging
* Add log validator for FWaaS v2 logging
* Adding 'logapi' in apidoc\_excluded\_paths for sphinx-docs job
* Add neutron as required-projects
* Add notification callback events for FWaaS v2
* Introduce accepted/dropped/rejected chains for future processing
* FWaaS v2: L3 logging agent extension
* Follow-up to fix some namespace tests
* [FWaaS\_v2]: RPC listener should be served by rpc worker

13.0.0.0b3
----------

* update requirements for neutron-lib 1.18.0
* use autonested\_transaction from neutron-lib
* Add release note in README
* Remove setting of DEVSTACK\_GATE\_EXERCISES
* python3: fix netlink\_lib delete\_entries
* Exclude requirements from doc8
* [FWaaS v1] RPC listener should be served by rpc worker
* Imported Translations from Zanata
* [Gate] Avoid sphinx\_build error and fix functional test
* Check pep8 without ignoring D000

13.0.0.0b2
----------

* Add fullstack testing for neutron-fwaas
* add missing \_\_init\_\_.py file for alembic
* Imported Translations from Zanata
* Implements a plugable backend driver
* Fix python3 dict values breakage

13.0.0.0b1
----------

* Remove firewall (v1) shared attribute from tests
* uncap eventlet
* use rpc Connection rather than create\_connection
* Fix pep8 new warnings
* Follow the new PTI for document build
* Fix incompatible requirement in lower-constraints
* Remove unused plugin.get\_plugin\_name()
* Fix sanity check for default firewall group name
* Updated from global requirements
* tests: don't rely on configuration files outside tests directory
* add lower-constraints job
* Updated from global requirements
* Avoid tox-install.sh
* DVR-FWaaS: Fix DVR FWaaS rules for fipnamespace
* Updated from global requirements
* Filter out conntrack entries with unknown protocol
* Revert "Skip unknown protocols while deleting conntrack"
* Skip unknown protocols while deleting conntrack
* Imported Translations from Zanata
* Make firewall l2 agent extension more generic
* use is\_extension\_supported from neutron-lib
* Update reno for stable/queens
* Enable hacking-extensions H204, H205

12.0.0
------

* Validating if a port is supported by FWaaS L2 driver
* Remove disable option for default FWG and allow only on VM ports
* Fix devstack configuration for fwaas v2
* Updated from global requirements

12.0.0.0b3
----------

* Fixing OVS driver coexistence check
* Enable to associate ports with default fwg for non-admin users
* Support IPv6 for netlink\_conntrack
* Updated from global requirements
* Shrink Tempest scenario manager copy
* Add Zuul v3 native midonet cross test
* Adding new tables for future consumption
* Updated from global requirements
* Apply default firewall group for new VM ports
* Updated from global requirements
* Fix V2 update\_firewall\_group logging
* use EGRESS\_DIRECTION and INGRESS\_DIRECTION from neutron-lib
* Co-existing between fwg and sg
* Enable to use conntrack driver in fwaas\_v2
* Add doc8 to pep8 check for neutron-fwaas project
* Replace jsonutils by common json package
* Imported Translations from Zanata

12.0.0.0b2
----------

* Trivial-fix: Remove unused method
* Add reno for "OVS based l2 Firewall driver for FWaaS v2"
* Adding unique constraint for port\_id
* Updated from global requirements
* OVS based l2 Firewall driver for FWaaS v2
* FWaaS v2 extension for L2 agent
* Imported Translations from Zanata
* Remove setting of version/release from releasenotes
* Updated from global requirements
* Updated from global requirements
* Updated from global requirements
* Refactor \_get\_routers\_in\_project method

12.0.0.0b1
----------

* Adopt a new abstract method ha\_state\_change
* Fix UTs gate failed
* Introduce default firewall groups
* Updated from global requirements
* Introduce firewall l2 driver base
* Updated from global requirements
* Fix mismatch in error messages
* Use shim tool for ostestr
* Updated from global requirements
* Updated from global requirements
* Remove unused constant for topics
* Extend FWaaS V2 ICMP reachability test scenarios
* Remove vestigate HUDSON\_PUBLISH\_DOCS reference
* devstack: Use entrypoint name for service\_plugin
* Use neutron-lib FirewallInternalDriverError
* Fix router update on L3 agent restart
* Remove log translations
* Updated from global requirements
* Drop MANIFEST.in - it's not needed by pbr
* Updated from global requirements
* Fix filtering parameter to get firewall\_group
* Update policy on rule addition/removal
* [DevStack] Configure iptables\_v2 firewall driver for FWaaS V2
* Updated from global requirements
* FW rule applied incorrectly if port specified is a range
* Imported Translations from Zanata
* Add firewall\_policy\_id in FWaaS v2
* Get default client config from config module
* FirewallGroupPortInvalidProject can be raised now
* Don't return 404 when deleting a non-existant FWG
* consume load\_class\_by\_alias\_or\_classname from neutron-lib
* fix releasenotes build
* Update reno for stable/pike
* Trivial-fix: Omit 'tests/\*' in coverage result
* Update links in README

11.0.0.0rc1
-----------

* Updated from global requirements

11.0.0.0b3
----------

* Change import orders with hacking guide
* Add additional test case for Action
* Use API Definitions from neutron-lib
* Replace deprecated test.attr with decorators.attr
* Enable some off-by-default checks
* Replace uuid.uuid4() with uuidutils.generate\_uuid()
* Update the documentation link for doc migration
* Handle rehome of firewall exceptions
* Add auto-generated config reference
* Updated from global requirements
* Fix genconfig in neutron-fwaas
* Move remaining policy rules specific to neutron-fwaas
* rearrange content to fit the new standard layout
* Updated from global requirements
* Use flake8-import-order plugin
* Switch from oslosphinx to openstackdocstheme
* Enable warning-is-error in doc build
* use service type constants from neutron\_lib plugins
* Updated from global requirements
* Replace the usage of 'manager' with 'os\_primary'
* Refactor find iptables rules
* Updated from global requirements
* Add original copyright
* use plugin constants from neutron-lib
* Updated from global requirements
* Trivial-fix: Remove non ascii char

11.0.0.0b2
----------

* Fixed comments in tox.ini [flake8]
* Optimize the link address
* Revert "Use neutron-lib definition of neutron-fwaas API"
* Modify an order between iptables and conntrack when update firewall
* Migrate Neutron's attribute to Neutron-Lib
* Use neutron-lib definition of neutron-fwaas API
* Fix html\_last\_updated\_fmt for Python3
* Updated from global requirements
* Replace assertRaisesRegexp with assertRaisesRegex
* Enable to set neutron's local repository for testing
* Updated from global requirements
* Added neutron\_fwaas.conf file for Firewall config
* tox\_install: speed up neutron repo clone
* Updated from global requirements
* devstack: Adapt to lib/neutron
* Updated from global requirements
* Improve iptables handling
* Updated from global requirements
* Remove get\_namespace from API extensions
* Updated from global requirements
* Add supported conntrack\_driver option to devstack plugin
* consume neutron-lib callbacks
* Remove unused 'host' parameter from Unit tests
* ConntrackNetlink driver to delete conntrack entries
* Disable new N537 hacking check from next neutron-lib
* Updated from global requirements
* Migrate Public attribute to shared in Policy.json
* Netlink library to delete conntrack entries

11.0.0.0b1
----------

* Remove subunit-trace fork
* Use \_i18n in unittests
* Adding cleanup of router in unit tests
* Updated from global requirements
* Added 'shared' attribute for firewall resources
* Enable to configure conntrack driver
* Remove pyroute2.netns.setns patch
* Add blank line under the subject
* Updated from global requirements
* Optimize the link address for fetching git code
* Remove unused get\_firewalls\_for\_tenant\_without\_rules
* Remove "plugins" directory
* Rehome L3 exceptions to neutron-lib
* Switch to use stable data\_utils
* Updated from global requirements
* Revert "Revert "Fix RPC scale issue using cast instead of fanout v1""
* Convert gate\_hook to devstack-tools
* Revert "Fix RPC scale issue using cast instead of fanout v1"
* Fix RPC scale issue using cast instead of fanout v1
* Use neutron-lib's context module instead of neutron
* Updated from global requirements
* consume ServicePluginBase from neutron-lib
* Fix scale issue in case of services\_sync\_needed v1
* Optimize get\_firewalls\_for\_tenant implementation
* Use lazy formatting when logging
* [Fix gate]Update test requirement
* tempest: Switch to local copy of tempset/scenario/manager.py
* Remove duplicate SQL request on firewall update
* Updated from global requirements
* Updated from global requirements
* Define in\_namespace contextmanager
* Enable to run rootwrap/privsep related functional tests
* Fix some unit test comments
* gate\_hook: Stop including localrc
* Cleanup setUp method in Unit tests
* Remove "constants" duplicated import
* Revert "Netlink solution to improve FWaaS performance"
* Optimize fwaas tempest api tests
* Remove support for py34
* Cleanup useful code in unit tests
* Updated from global requirements
* Switch to use test\_utils.call\_until\_true
* Fix typo in .pylintrc file
* Do not complain in firewall\_group\_deleted if the FW is already deleted
* Add functional test to run dsvm-functional
* Do not complain in firewall\_deleted if the FW is already deleted
* Correct LOG message in fwaas\_plugin\_v2
* Update reno for stable/ocata

10.0.0.0rc1
-----------

* Use addCleanup instead of tearDown
* Switch to decorators.idempotent\_id
* TrivialFix: Added link for modindex
* Optimize \_make\_firewall\_group\_dict\_with\_rules

10.0.0.0b3
----------

* Update policy.json for FWaaS v2
* Updated from global requirements
* Netlink solution to improve FWaaS performance
* Fix validation in converting 'protocol'
* Fix tempest gate issue on FirewallNotFound exception
* Optimize \_make\_firewall\_dict\_with\_rules db queries
* Updated from global requirements
* Fix 'ports' attribute for firewall\_group
* TrivialFix : Fix Port Error Message
* Fix AssertionError raised from \_set\_rules\_for\_policy
* Use BRANCH constants from neutron\_lib
* Fix duplicated python version in classifier
* Track neutron-lib migration of agent extensions
* Support neutron-lib hacking check H904
* Updated from global requirements
* [WIP]Remove no used attribute in FirewallPolicyRuleAssociation
* Fix update fwr with ipv6 address
* Consistent update with router\_info
* Fix a typo
* Remove httplib2 useless requirement
* Updated from global requirements
* Enable coverage report in console output
* Check error message returned by the system
* Fix PENDING\_UPDATE state when update exist no policy fw\_group with ports
* Privsep configuration for neutron-fwaas
* Updated from global requirements
* Not allow to update icmp fw\_rule with port
* Use neutron-lib and fwaas constants instead of neutron

10.0.0.0b2
----------

* Updated from global requirements
* Tempest Scenario tests for FWaaS V2
* Docs: fix Devstack config documentation rendering
* Changed the home-page link
* Adding validation protocol parameters when updating firewall rules
* Updated from global requirements
* neutron-lib cleanup in neutron-fwaas
* Fix removing rule\_association on updating a policy
* Add os-testr to test requirements
* Use ExtensionDescriptor from neutron-lib
* Use DB field sizes instead of \_MAX\_LEN constants
* Remove PLURALS
* Show team and repo badges on README
* Reenable FWaaS v2 tempest tests
* Add a variant of gate hook script
* Revert "Set NETWORK\_API\_EXTENSIONS in fwaas devstack plugin"
* FWaaS v2 Tempest API tests
* Set NETWORK\_API\_EXTENSIONS in fwaas devstack plugin
* Use TimeoutException from tempest.lib
* Updated from global requirements
* Switch to using plugins directory in lieu of neutron manager

10.0.0.0b1
----------

* Updated from global requirements
* Replaces uuid.uuid4 with uuidutils.generate\_uuid()
* Add smoke tests to neutron-fwaas
* Remove unused code
* Add developer documentation to FWaaS
* Updated from global requirements
* Fix fwaas\_v2 driver internal error when restart l3 agent
* Remove last vestiges of oslo-incubator
* Updated from global requirements
* Remove unnecessary neutron agent config reference
* Remove import of neutron.extensions
* Updated from global requirements
* Add Python 3.5 classifier and venv
* Catch the integrityError when update firewall group with non exist port
* Updated from global requirements
* Migrate references from neutron to neutron-lib
* Fix UnboundLocalError during update firewall group
* Fix typo in comment
* Refactor of \_convert\_fwaas\_to\_iptables\_rule and dependencies
* Updated from global requirements
* Deal with the '-m protocol' flag in iptables FwAAS v1 and v2
* Enable release notes translation
* Fix periodic-neutron-fwaas-pyXX-with-neutron-lib-master jobs
* Updated from global requirements
* Updated from global requirements
* Remove reference to third-party drivers in readme
* Fix import path for l3\_config
* Updated from global requirements
* Add devstack plugin support for fwaas v2
* Fix an argument for an exception message
* gate\_hook: Fix INSTALL\_MYSQL\_ONLY != True case
* Fix KeyError when fw rule associated with a policy is updated
* Updated from global requirements
* Check for \_interfaces in updated\_router
* Add neutron-fwaas in-tree documentation
* Update reno for stable/newton

9.0.0.0rc1
----------

* Tag the alembic migration revisions for Newton
* Fix neutron-fwaas tests after project\_id addition
* Updated from global requirements
* Skip test test\_update\_firewall\_shared\_fails\_for\_non\_admin
* Add reno note for FWaaS v2
* Updated from global requirements

9.0.0.0b3
---------

* Add tests ensuring models and migrations are in sync
* FWaaS v2 utilize L3 Agent Extension framework
* Migrate FWaaS policy.json to FWaaS repo
* Use neutron-lib model\_base instead of neutron models
* Add FWaaS v1 and v2 entrypoints to setup.cfg
* Add special handling for functional tests
* Remove vendor driver: vyatta from community repo
* Use temporary directory for neutron install
* Remove Cisco driver from neutron-fwaas repo
* Updated from global requirements
* FWaaS v2 Database rule insert/remove operations support
* Remove vendor driver: vArmour from community repo
* FWaaS v2 L3 Agent Extension
* FWaaS V2 Plugin
* Fix enum usage in db migration for postgresql
* Fix db vs migration mismatches
* Fix db migration chain
* Fix model/migration sync issues with FWaaS
* Updated from global requirements
* Constrain remaining tox targets
* FWaaS v2 Database
* TrivialFix: Add validation for tenant\_id
* FwaaS v2 REST API
* Fix column\_name in migration from project\_id change
* Fix db migration after project\_id changes
* Remove temporary local HasProject
* Enable DeprecationWarning in test environments
* Updating imports as l3 agent config options
* Updated from global requirements
* devstack: Don't bother to have our own l3 agent config file
* Update imports (common.config -> conf.common)
* Rename DB columns: tenant -> project
* add "reject" action to firewall rule doesn't work for postgresql
* Updated from global requirements

9.0.0.0b2
---------

* Delete mcafee FwaaS driver
* Updated from global requirements
* DevStack plugin for fwaas
* Add python 3 classifiers
* Add entrypoints for iptables and varmor drivers
* Fix deprecation warnings
* Fix subunit trace help
* Fix a few test cases in test\_cisco\_fwaas\_plugin
* Follow the recent tempest change
* Remove unused POT file
* Updated from global requirements
* Remove check\_i18n files
* Use call\_and\_ignore\_notfound\_exc directly
* Updated from global requirements

9.0.0.0b1
---------

* Fix neutron\_lib deprecations
* [Trivial] Remove unnecessary executable privilege
* Remove unnecessary executable permissions
* Updated from global requirements
* Fix broken tempest tests
* Skip broken tests
* Switch to using hacking checks from neutron-lib
* Fix "Not applying Firewall rules immediately" problem

8.1.2
-----

* Updated from global requirements
* Updated from global requirements
* Don't use zuul-cloner for venv env, for periodic jobs
* Fix doc build if git is absent
* Updated from global requirements

8.0.0
-----

* Constraint requirements using mitaka upper-constraints.txt file
* FWaaS Disable nonstandard-exception due to neutron\_lib shims
* Update reno for stable/mitaka

8.0.0.0rc2
----------

* Update .gitreview for stable/mitaka

8.0.0.0rc1
----------

* Translations: add in the locale directory
* Use routers client instead of networks client
* Use tempest.lib base module for network
* Updated from global requirements
* Make all tox targets constrained
* Tag the alembic migration revisions for Mitaka

8.0.0.0b3
---------

* FWaaS: make use of neutron\_lib constants
* Use tempest.lib instead of tempest-lib
* Track alembic heads
* Remove unused pngmath Sphinx extension
* Fixed typo in subunit-trace.py
* Updated from global requirements
* Select the right DB to store user and data in each backend
* Modify tox.ini to run dsvm-functional tests
* Updated from global requirements
* FWaaS: make use of neutron\_lib exceptions
* delete meaningless braces in log
* Updated from global requirements
* Cleanup i18n module usages
* tempest: Confirm the opposite direction
* tempest: Fix a few test cases
* FWaaS quota registration
* Add testresources to neutron-fwaas test requirements
* Fix neutron-fwaas cover tests
* Send Notifications for Firewall policy updates
* Set testenv env for api and scenario testing
* tempest: Skips router insertion tests if public\_router\_id is configured
* tempest: Update for NetworkClient
* Add an explicit BRANCH\_NAME to tox\_install.sh
* Update translation setup
* tempest: Add a comment
* Updated from global requirements
* tempest: Remove an extra comma, which breaks the following assertion
* Add unittest of convert\_action\_to\_case\_insensitive
* Updated from global requirements

8.0.0.0b2
---------

* Clean up removed hacking rule from [flake8] ignore lists
* tempest: Add test cases for router insertion
* Replace deprecated library function os.popen() with subprocess
* Add unit test for convert\_protocol
* Updated from global requirements
* Change LOG.warn to LOG.warning
* LOG.warn -> LOG.warning
* Trival: Remove unused logging import
* tempest: Update after the recent tempest change
* Updated from global requirements
* Avoid duplicating tenant check when creating resources
* Fix a typo from UPPER\_CONTRAINTS\_FILE to UPPER\_CONSTRAINTS\_FILE
* Setup for translation
* Deprecated tox -downloadcache option removed
* Remove Neutron FWaaS static example configuration files
* Updated from global requirements
* Added constraints tox targets
* Automatically generate neutron FWaaS configuration files
* Adapt to the recent tempest
* Delete python bytecode before every test run
* Updated from global requirements
* Remove dependency on neutron for topics
* Add reno for release notes management
* Fix db error when running python34 Unit tests
* Remove version from setup.cfg
* Validation of router\_ids insertion with column selection

8.0.0.0b1
---------

* Fix TempestPlugin to fix gate failure
* Freescale FWaaS Plugin code final decomposition
* Updated from global requirements
* Add some more tempest scenarios
* Updated from global requirements
* Set ZUUL\_BRANCH using BRANCH if not available
* Move api tests from Neutron repository
* Revert "Register FWaaS resources to quota engine"
* Remove deprecated use\_namespaces option
* Prepare neutron "use\_namespaces" option removal
* Update list of modules supporting py34 tests
* FWaaS fix comment typos
* Updated from global requirements
* Updated from global requirements
* Add tempest scenario tests
* Updated from global requirements
* Removed new=True argument from create\_connection
* Include alembic versions directory to the package
* Register FWaaS resources to quota engine
* Updated from global requirements
* Validate src\_ip\_adress, dest\_ip\_address and ip\_version
* Updated from global requirements
* Use assert(Not)In instead of assertTrue/False
* use assertIs(Not)None instead of assert(Not)Equal
* use assertFalse instead of assertEqual(False, \*\*\*)
* Fix argument order for assertEqual to (expected, observed)
* Case-Sensitivity for name column in fw table

7.0.0
-----

* Tag the alembic migration revisions for Liberty
* Tag the alembic migration revisions for Liberty
* Consume FWaaS plugin queue in RPC workers
* Kill HEADS file
* Stop doing any magic cloning of neutron during CI
* Use stable/liberty branch for neutron dep

7.0.0.0rc1
----------

* Update defaultbranch in .gitreview to stable/liberty
* Open Mitaka development
* Change ignore-errors to ignore\_errors
* Updated from global requirements
* Fix check\_migration error
* Added +x permission to gate hook scripts
* py34 support for fwaas

7.0.0.0b3
---------

* Updated from global requirements
* Updated from global requirements
* Removing unused dependency: discover
* Kill contention between update and delete
* FWaaS: Fix 500 INTERNAL error on too long name or description
* Adopt the migration chaining and branch names from neutron
* Switch to using os-testr's copy of subunit2html
* Cisco CSR FWaaS driver should use 'l4-options' in CSR RESTAPI call
* Updated from global requirements
* Add REJECT rule on Neutron FWaaS
* Make tests/unit/extensions discoverable
* Updated from global requirements
* Reduce contention between update and delete
* Add oslotest dependency to test-requirements
* Updated from global requirements
* Validate tenant\_id between firewall and firewall-policy
* Do not make delete\_db\_firewall conditional
* Updated from global requirements
* switch to multi branch migration tree for liberty
* py34: Enable initial python34 testing for FWaaS
* Killed existing downgrade rules in migration scripts

7.0.0.0b2
---------

* script.py.mako: update to latest standards
* py34: Fix usage of gettext.install
* Register alembic\_migrations at install time
* Updated from global requirements
* Remove quantum untracked files from .gitignore
* Fix wrong argument name in \_rpc\_update\_firewall
* Use oslo\_log.helpers.log\_method\_call
* Updated from global requirements
* Fix UT failures during firewall mock plugin setup
* COMMON\_PREFIXES cleanup - patch 3/5
* Updated from global requirements
* Switch to oslo.service

7.0.0.0b1
---------

* Updated from global requirements
* Switch to oslo\_utils.uuidutils
* Fixes firewall going to error state on an update
* Trim some unused test packages
* Update version for Liberty
* Updated from global requirements
* Add handle for protocol value "any" in CSR1kv driver

7.0.0a0
-------

* Updated from global requirements
* Revert "Insert tenant\_id validation for fw and fw-policy"
* Updated from global requirements
* Python 3: use six.iteritems instead of dict.items
* Enable random hash seeds
* Do not assume jsonutils.dumps ordering
* Updated from global requirements
* Add validation of port\_range for firewall-rule
* Remove contextlib.nested from tests
* vendor code should refer to Brocade
* Updated from global requirements
* Make iptables firewall work with L3 plugin without DVR support
* Updated from global requirements
* Insert tenant\_id validation for fw and fw-policy

2015.1.0
--------

* Insert validation in creating/updating firewall
* update .gitreview for stable/kilo
* Updated Protocol named constants
* Add Kilo release milestone
* Add Kilo release milestone
* Pin neutron to stable/kilo
* Restore Brocade Vyatta firewall functionality
* FWaaS: Remove check for bash usage
* Restore Brocade Vyatta firewall functionality
* Switch from neutron.common.log.log to oslo\_log.helpers.log\_method\_call
* logic error in updating audited of firewall policy

2015.1.0rc1
-----------

* FWaaS: Reorganize unit test tree
* Open Liberty development
* Updated Protocol named constants
* FWaaS: Refactor callback mechanism
* Use BaseSudoTestCase instead of BaseLinuxTestCase
* Remove reference to testlib\_plugin
* Updated from global requirements

2015.1.0b3
----------

* Adding mandatory parameters for Router Info in vArmour fwaas agent
* tests: stop overwriting neutron BaseTestCase configuration files
* Refactoring related to 'FWaaS insertion Model on Routers'
* Adds FWaaS driver for Cisco CSR1kv
* Adds FWaaS service plugin for Cisco CSR1kv
* FWaaS Insertion Model on Routers
* Decouple L3 and Firewall during DVR router migration
* Implementation of Mcafee NGFW Driver
* Provide hooks for FWaaS repo functional gate
* Updated from global requirements
* Fix for breaking UTs when creating RouterInfo
* Add the missing parameter agent\_mode to the FWaaSDriverBase class methods
* Add the prefix networking\_brocade to import paths
* Pick up missing neutron to neuton\_fwaas change
* Removed lockutils-wrapper from tox targets
* Migrate to oslo.log
* Change L3 agent AdvancedService class to be non-singleton
* Updated from global requirements
* Enable removing references to self.services\_sync in l3 agent
* Stop storing and passing root\_helper
* Fix pylint error due to novaclient v1\_1/v2 rename
* Add index on tenant\_id
* FWaaS: Enable coverage testing
* Remove unused \_destroy\_router\_namespaces()
* Implementation of Brocade Vyatta Firewall driver
* Pass root\_helper to ip\_lib by keyword argument to prep for removal
* Fixed tests to use neutron\_fwaas extensions and neutrons
* oslo: migrate to namespace-less import paths

2015.1.0b2
----------

* Code cleanup for Freescale FWaaS Plugin
* Updated from global requirements
* Move extensions to service repo
* Fix neutron-fwaas unit test failures due to multiple issues
* Move '\_make\_firewall\_dict\_with\_rules' to firewall\_db.py
* Freescale FWaaS Plugin
* Updated from global requirements
* Updated from global requirements
* Updated from global requirements
* Migrate to oslo.concurrency
* Adjust fwaas unit tests to work with quotas enabled
* Updated from global requirements
* Update hacking to 0.10
* Fix the neutron-fwaas unit test failures
* Updated from global requirements
* FWaaS: L3 Agent restructure - observer hierarchy
* Cleaned up requirements.txt
* Bump from global requirements
* Fix gitignore of egg files properly
* Do not list neutron in requirements.txt
* Re-enable UT for neutron-fwaas for services split
* Backward compatibility for fwaas
* Update documentation files for FWaaS

2015.1.0b1
----------

* Kill oslo-incubator files
* Move classes out of l3\_agent.py
* Delete accidentally committed egg files
* Fix python path to neutron\_fwaas module
* Init of separate alembic chain
* Fix python path in ini file
* After the services split, get neutron-fwaas Jenkins jobs passing
* Fix git review target for repo
* Split fwaas services code into neutron-fwaas
* Workflow documentation is now in infra-manual
* tox.ini: Prevent casual addition of bash dependency
* Updated from global requirements
* Get rid of py26 references: OrderedDict, httplib, xml testing
* Updated the README.rst
* pretty\_tox.sh: Portablity improvement
* test\_dhcp\_agent: Fix no-op tests
* Enable undefined-loop-variable pylint check
* Fix incorrect exception order in \_execute\_request
* Migrate to oslo.i18n
* Migrate to oslo.middleware
* Migrate to oslo.utils
* Remove Python 2.6 classifier
* Remove ryu plugin
* Updated from global requirements
* Fix AttributeError in RPC code for DVR
* Show progress output while running unit tests
* Enforce log hints in neutron.services.firewall
* enable H401 hacking check
* enable H237 check
* Updated from global requirements
* Drop RpcProxy usage from FWaaS code
* Drop several uses of RpcCallback
* Enable default SNAT from networks connected to a router indirectly
* Updated from global requirements
* Update i18n translation for neutron.db log msg's
* Update i18n translation for neutron.agents log msg's
* enable F812 check for flake8
* enable F811 check for flake8
* Support pudb as a different post mortem debugger
* switch to oslo.serialization
* Add rootwrap filters for ofagent
* Remove useless return
* Remove openvswitch core plugin entry point
* Updated from global requirements
* Purge use of "PRED and A or B" poor-mans-ternary
* Remove duplicate ensure\_remove\_chain method in iptables\_manager
* Remove use\_namespaces from RouterInfo Property
* Updated from global requirements
* Remove XML support
* enable F402 check for flake8
* enable E713 in pep8 tests
* Hyper-V: Remove useless use of "else" clause on for loop
* Enable no-name-in-module pylint check
* Updated from global requirements
* Remove duplicate import of constants module
* Switch run-time import to using importutils.import\_module
* Enable assignment-from-no-return pylint check
* tox.ini: Avoid using bash where unnecessary
* Empty files should not contain copyright or license
* Remove single occurrence of lost-exception warning
* Updated fileutils and its dependencies
* remove E251 exemption from pep8 check
* mock.assert\_called\_once() is not a valid method
* Add pylint tox environment and disable all existing warnings
* Updated from global requirements
* Ignore top-level hidden dirs/files by default
* Avoid constructing a RouterInfo object to get namespace name
* Drop sslutils and versionutils modules
* Removed kombu from requirements
* Updated from global requirements
* Updated from global requirements
* Remove sslutils from openstack.common
* remove linuxbridge plugin
* Open Kilo development
* Implement ModelsMigrationsSync test from oslo.db
* Disallow unsharing used firewall policy
* Fix entrypoint of OneConvergencePlugin plugin
* Stop admin using other tenants unshared rules
* Set dsvm-functional job to use system packages
* Separate Configuration from Freescale SDN ML2 mechanism Driver
* Remove @author(s) from copyright statements
* Add HA support to the l3 agent
* Updated from global requirements
* Adds ipset support for Security Groups
* Remove useless check in \_rpc\_update\_firewall
* Don't allow user to set firewall rule with port and no protocol
* Changes to support FWaaS in a DVR based environment
* Add requests\_mock to test-requirements.txt
* Removed kombu from requirements
* Supply missing cisco\_cfg\_agent.ini file
* Remove unused arg to config.setup\_logging()
* Updated from global requirements
* shared policy shouldn't have unshared rules
* Work toward Python 3.4 support and testing
* Revert "Cisco DFA ML2 Mechanism Driver"
* Remove SELECT FOR UPDATE use in delete\_firewall
* Big Switch: Separate L3 functions into L3 service
* Remove reference to cisco\_cfg\_agent.ini from setup.cfg again
* Adds router service plugin for CSR1kv
* Support for extensions in ML2
* Cisco DFA ML2 Mechanism Driver
* Adding mechanism driver in ML2 plugin for Nuage Networks
* Fix state\_path in tests
* Remove ovs dependency in embrane plugin
* Use lockutils module for tox functional env
* Remove SELECT FOR UPDATE use in update\_firewall
* Prefer "val !=/== ref" over "val (not) in [ref]" in conditions
* Remove status initialization from plugin's create\_firewall
* Set firewall state to CREATED when dealing with DVR
* Updated from global requirements
* Add specific docs build option to tox
* Fix bigswitch setup.cfg lines
* Remove auto-generation of db schema from models at startup
* Skip FWaaS config mismatch check if RPC method is unsupported
* Updated from global requirements
* Use jsonutils instead of stdlib json
* Remove INACTIVE status from FWaaS
* Preserve link local IP allocations for DVR fip ns across restart
* Opencontrail plug-in implementation for core resources
* Return 403 instead of 404 on attr policy failures
* Proper validation for inserting firewall rule
* Remove redundant topic from rpc calls
* Add a tox test environment for random hashseed testing
* Updated from global requirements
* Move from Python logging to Openstack logging
* Remove reference to cisco\_cfg\_agent.ini from setup.cfg
* Exit Firewall Agent if config is invalid
* Removed configobj from test requirements
* Updated from global requirements
* Functional tests work fine with random PYTHONHASHSEED
* Set python hash seed to 0 in tox.ini
* Configuration agent for Cisco devices
* Updated from global requirements
* ML2 mechanism driver for SR-IOV capable NIC based switching, Part 2
* Audited attribute for policy update not changing
* This patch changes the name of directory from mech\_arista to arista
* ML2 mechanism driver for SR-IOV capable NIC based switching, Part 1
* Allow to import \_LC, \_LE, \_LI and \_LW functions directly
* Make readme reference git.openstack.org not github
* Bump hacking to version 0.9.2
* Use auth\_token from keystonemiddleware
* Change all occurences of no\_delete to do\_delete
* Extract CommonDBMixin to a separate file
* Remove reference to setuptools\_git
* Add a gate-specific tox env for functional tests
* Add CONTRIBUTING.rst
* Updated from global requirements
* Updated from global requirements
* Updated from global requirements
* Fix example for running individual tests
* Switch to using of oslo.db
* remove unsupported middleware
* Add config for performance gate job
* Synced log module and its dependencies from olso-incubator
* don't ignore rules that are already enforced
* Moved rpc\_compat.py code back into rpc.py
* Updated from global requirements
* Updated from global requirements
* ofagent: move main module from ryu repository
* Remove the useless vim modelines
* Removed 'rpc' and 'notifier' incubator modules
* Removed create\_rpc\_dispatcher methods
* Use openstack.common.lockutils module for locks in tox functional tests
* Renamed consume\_in\_thread -> consume\_in\_threads
* Port to oslo.messaging
* Updated from global requirements
* Ignore emacs checkpoint files
* Check port value when creating firewall rule with icmp protocol
* Configure agents using neutron.common.config.init (formerly .parse)
* Added missing core\_plugins symbolic names
* Introduced rpc\_compat.create\_connection()
* Introduce RpcCallback class
* remove pep8 E122 exemption and correct style
* remove E112 hacking exemption and fix errors
* Updated from global requirements
* Fix race condition with firewall deletion
* Monkey patch threading module as early as possible
* Added RpcProxy class
* Freescale SDN Mechanism Driver for ML2 Plugin
* Remove run-time version checking for openvswitch features
* Log firewall status on delete in case of status inconsistency
* Added missing plugin .ini files to setup.cfg
* FWaaS plugin doesn't need to handle firewall rule del ops
* Updated from global requirements
* Disallow regular user to update firewall's shared attribute
* Synced jsonutils from oslo-incubator
* Cisco APIC ML2 mechanism driver, part 2
* NSX: get rid of the last Nicira/NVP bits
* Do not defer IPTables apply in firewall path
* Fix non-existent 'assert' calls to mocks
* Add missing translation support
* Add mailmap entry
* Updated from global requirements
* Remove explicit dependency on amqplib
* Remove duplicate module-rgx line in .pylintrc
* Fix H302 violations
* Fix H302 violations in unit tests
* Updated from global requirements
* Updated from global requirements
* Exclude .ropeproject from flake8 checks
* Remove mock.patch.stop from tests that inherit from BaseTestCase
* Enable flake8 E711 and E712 checking
* Updated from global requirements
* Sync service and systemd modules from oslo-incubator
* Move bash whitelisting to pep8 testenv
* Fix Jenkins translation jobs
* Set ns\_name in RouterInfo as attribute
* ignore build directory for pep8
* Return 409 for second firewall creation
* Enable hacking H301 check
* Updated from global requirements
* Remove last parts of Quantum compatibility shim
* UT: do not hide an original error in test resource ctxtmgr
* Open Juno development
* Start using oslosphinx theme for docs
* Updated from global requirements
* add HEAD sentinel file that contains migration revision
* Ensure to count firewalls in target tenant
* Mock agent RPC for FWaaS tests to delete DB objs
* Fix KeyError except on router\_info in FW Agent
* Bugfix and refactoring for ovs\_lib flow methods
* Removes calls to mock.patch.stopall in unit tests
* Updated from global requirements
* Updated from global requirements
* Updated from global requirements
* One Convergence Neutron Plugin l3 ext support
* One Convergence Neutron Plugin Implementation
* BigSwitch: Add SSL Certificate Validation
* Updated from global requirements
* Add OpenDaylight ML2 MechanismDriver
* Implementaion of Mechanism driver for Brocade VDX cluster of switches
* Implement Mellanox ML2 MechanismDriver
* Implement OpenFlow Agent mechanism driver
* Finish off rebranding of the Nicira NVP plugin
* BigSwitch: Add agent to support neutron sec groups
* Adds the new IBM SDN-VE plugin
* Updated from global requirements
* Remove unused variable
* Change firewall to DOWN when admin state down
* Update License Headers to replace Nicira with VMware
* Developer documentation
* options: consolidate options definitions
* Rename Neutron core/service plugins for VMware NSX
* Updated from global requirements
* Sync minimum requirements
* Copy cache package from oslo-incubator
* ipt\_mgr.ipv6 written in the wrong ipt\_mgr.ipv4
* Validate rule uuids provided for update\_policy
* Remove dependent module py3kcompat
* Add migration support from agent to NSX dhcp/metadata services
* Remove psutil dependency
* LBaaS: move agent based driver files into a separate dir
* mailmap: update .mailmap
* Return request-id in API response
* Prepare for multiple cisco ML2 mech drivers
* Support building wheels (PEP-427)
* Use oslo.rootwrap library instead of local copy
* Enables BigSwitch/Restproxy ML2 VLAN driver
* Add an explicit tox job for functional tests
* Base ML2 bulk support on the loaded drivers
* Enable hacking H233 rule
* Update RPC code from oslo
* Configure plugins by name
* Update lockutils and fixture in openstack.common
* Rename nicira configuration elements to match new naming structure
* Remove unused imports
* Rename check\_nvp\_config utility tool
* Corrects broken format strings in check\_i18n.py
* Remove FWaaS Noop driver as default and move to unit tests dir
* Updates tox.ini to use new features
* Updated from global requirements
* Sync global requirements to pin sphinx to sphinx>=1.1.2,<1.2
* Remove start index 0 in range()
* Add fwaas\_driver.ini to setup.cfg
* Add vpnaas and debug filters to setup.cfg
* Updates .gitignore
* Update Zhenguo Niu's mailmap
* Fwaas can't run in operating system without namespace feature
* Replace stubout with fixtures
* Ensure get\_pid\_to\_kill works with rootwrap script
* Call \_destroy\_metadata\_proxy from \_destroy\_router\_namespaces
* Apply six for metaclass
* Updated from global requirements
* Cleanup HACKING.rst
* Fix import log\_handler error with publish\_errors set
* Updated from global requirements
* Utilizes assertIsNone and assertIsNotNone
* Updated from global requirements
* Fix incorrect indentations found by Pep 1.4.6+
* avoid changing the rule's own action
* Cleanup and make HACKING.rst DRYer
* Add support for managing async processes
* Remove obsolete redhat-eventlet.patch
* Open Icehouse development
* Updated from global requirements
* Fix to enable delete of firewall in PENDING\_CREATE state
* Require oslo.config 1.2.0 final
* Fix FWaaS plugin to allow one firewall per tenant
* Use built-in print() instead of print statement
* FWaaS - fix reordering of rules in policy
* Support for NVP advanced FwaaS service
* FWaaS - fix policy association of firewall rule
* Add l2 population base classes
* Fix message i18n error
* Install metering\_agent.ini and vpn\_agent.ini
* fix conversion type missing
* vArmour gateway agent and FWaaS driver
* Enclose command args in with\_venv.sh
* ML2 Mechanism Driver for Cisco Nexus
* Reference driver implementation (IPsec) for VPNaaS
* Implement ML2 port binding
* Adding more unit tests for the FWaaS agent
*  Arista ML2 Mechanism driver
* ML2 Mechanism Driver for Tail-f Network Control System (NCS)
* Default to not capturing log output in tests
* Add Neutron l3 metering agent
* Update mailmap
* Fix wrong example in HACKING.rst
* Bumps hacking to 0.7.0
* remove binaries under bin
* Fixes Windows setup dependency bug
* Restore Babel to requirements.txt
* fix up inadevertant octal to make hacking pass
* Firewall as a Service (FWaaS) Iptables Driver
* Remove DHCP lease logic
* Firewall as a Service (FWaaS) Agent
* Remove last vestiges of nose
* Updated from global requirements
* Ignore pbr\*.egg directory
* Fix H102, H103 Apache 2.0 license hacking check error
* Remove openstack.common.exception usage
* Adds Babel dependency missing from 555d27c
* Fix the alphabetical order in requirement files
* Followup fixes to FWaaS API patch
* Remove comments from requirements.txt (workaround pbr bug)
* Remove last of assertEquals
* Firewall as a Service (FWaaS) APIs and DB Model
* remove netifaces dependency of ryu-agent
* Add gre tunneling support for the ML2 plugin
* Add VXLAN tunneling support for the ML2 plugin
* xenapi - rename quantum to neutron
* Fix issue with pip installing oslo.config-1.2.0
* Initial Modular L2 Mechanism Driver implementation
* Add cover/ to .gitignore
* fix some missing change from quantum to neutron
* git remove old non-working packaging files
* Rename Quantum to Neutron
* Rename quantum to neutron in .gitreview
* Sync install\_venv\_common from oslo
* Update to use OSLO db
* Require greenlet 0.3.2 (or later)
* Remove single-version-externally-managed in setup.cfg
* Fix single-version-externally-mananged typo in setup.cfg
* Allow use of lowercase section names in conf files
* Require pbr 0.5.16 or newer
* Update to the latest stevedore
* Rename agent\_loadbalancer directory to loadbalancer
* Remove unit tests that are no longer run
* Update with latest OSLO code
* Remove explicit distribute depend
* Fix and enable H90x tests
* Remove generic Exception when using assertRaises
* Add \*.swo/swp to .gitignore
* python3: Introduce py33 to tox.ini
* Rename README to README.rst
* Rename requires files to standard names
* Initial Modular L2 plugin implementation
* Revert dependency on oslo.config 1.2.0
* Perform a sync with oslo-incubator
* Require oslo.config 1.2.0a2
* update mailmap
* Revert "Fix ./run\_tests.sh --pep8"
* Move to pbr
* Docstrings formatted according to pep257
* relax amqplib and kombu version requirements
* Fix ./run\_tests.sh --pep8
* blueprint mellanox-quantum-plugin
* Update flake8 pinned versions
* Let the cover venv run individual tests
*  Copy the RHEL6 eventlet workaround from Oslo
* Remove locals() from strings substitutions
* Enable automatic validation of many HACKING rules
* Shorten the path of the nicira nvp plugin
* Allow pdb debugging in manually-invoked tests
* Reformat openstack-common.conf
* Switch to flake8 from pep8
* Parallelize quantum unit testing:
* blueprint cisco-single-config
* Add lbaas\_agent files to setup.py
* Add VIRTUAL\_ENV key to enviroment passed to patch\_tox\_env
* Pin SQLAlchemy to 0.7.x
* Sync latest Oslo components for updated copyright
* drop rfc.sh
* Replace "OpenStack LLC" with "OpenStack Foundation"
* First havana commit
* remove references to netstack in setup.py
* Switch to final 1.1.0 oslo.config release
* Update to Quantum Client 2.2.0
* Update tox.ini to support RHEL 6.x
* Switch to oslo.config
* Add common test base class to hold common things
* Pin pep8 to 1.3.3
* Add initial testr support
* LBaaS Agent Reference Implementation
* Bump python-quantumclient version to 2.1.2
* Add scheduling feature basing on agent management extension
* Remove compat cfg wrapper
* Unpin PasteDeploy dependency version
* Use testtools instead of unittest or unittest2
* Add midonet to setup.py
* Sync latest install\_venv\_common.py with olso
* Add check-nvp-config utility
* Add unit test for ryu-agent
* Use oslo-config-2013.1b3
* Adds Brocade Plugin implementation
* Synchronize code from oslo
* PLUMgrid quantum plugin
* Update .coveragerc
* Allow tools/install\_venv\_common.py to be run from within the source directory
* Updated to latest oslo-version code
* Use install\_venv\_common.py from oslo
* Cisco plugin cleanup
* Use babel to generate translation file
* Update WebOb version to >=1.2
* Update latest OSLO
* Adding multi switch support to the Cisco Nexus plugin
* Adds support for deploying Quantum on Windows
* Latest OSLO updates
* Port to argparse based cfg
* Add migration support to Quantum
* Undo change to require WebOb 1.2.3, instead, require only >=1.0.8
* .gitignore cleanup
* Upgrade WebOb to 1.2.3
* Logging module cleanup
* Add OVS cleanup utility
* Add tox artifacts to .gitignore
* Add restproxy.ini to config\_path in setup.py
* Add script for checking i18n message
* l3 agent rpc
* Add metadata\_agent.ini to config\_path in setup.py
* Remove \_\_init\_\_.py from bin/ and tools/
* add metadata proxy support for Quantum Networks
* Use auth\_token middleware in keystoneclient
* Add QUANTUM\_ prefix for env used by quantum-debug
* Make tox.ini run pep8 checks on bin
* Explicitly include versioninfo in tarball
* Import lockutils and fileutils from openstack-common
* Updated openstack-common setup and version code
* Ensure that the anyjson version is correct
* Add eventlet\_backdoor and threadgroup from openstack-common
* Add loopingcall from openstack-common
* Added service from openstack-common
* Drop lxml dependency
* Add uuidutils module
* Import order clean-up
* pin sqlalchemy to 0.7
* Correct Intended Audience
* Add OpenStack trove classifier for PyPI
* Improve unit test times
* l3\_nat\_agent was renamed to l3\_agent and this was missed
* Support for several HA RabbitMQ servers
* add missing files from setup.py
* Create .mailmap file
* Lower webob dep from v1.2.0 to v1.0.8
* Implements agent for Quantum Networking testing
* Create utility to clean-up netns
* Update rootwrap; track changes in nova/cinder
* Execute unit tests for Cisco plugin with Quantum tests
* Add lease expiration script support for dnsmasq
* Add nosehtmloutput as a test dependency
* quantum l3 + floating IP support
* Updates pip requirements
* NEC OpenFlow plugin support
* remove old gflags config code
* RPC support for OVS Plugin and Agent
* Initial implemention of MetaPlugin
* RPC support for Linux Bridge Plugin and Agent
* Exempt openstack-common from pep8 check
* fix bug lp:1025526,update iniparser.py to accept  empty value
* Introduce files from openstack common
* fix bug lp:1019230,update rpc from openstack-common
* implement dhcp agent for quantum
* Use setuptools git plugin for file inclusion
* Remove paste configuration details to a seperate file. blueprint use-common-cfg
* Implements the blueprint use-common-cfg for the quantum service. More specifically uses global CONF for the quantum.conf file
* Add authZ through incorporation of policy checks
* Bug #1013967 - Quantum is breaking on tests with pep 1.3
* Use openstack.common.exception
* API v2: mprove validation of post/put, rename few attributes
* Add API v2 support
* Fix up test running to match jenkins expectation
* Add build\_sphinx options
* Quantum should use openstack.common.jsonutils
* Remove hardcoded version for pep8 from tools/test-requires
* Quantum should use openstack.common.importutils
* PEP8 fixes
* Bug #1002605
* Parse linuxbridge plugins using openstack.common.cfg
* Add HACKING.rst to tarball generation bug 1001220
* Include AUTHORS in release package
* Change Resource.\_\_call\_\_() to not leak internal errors
* Removed simplejson from pip-requires
* Remove dependency on python-quantumclient
* Add sphinx to the test build deps
* Add HACKING.rst coding style doc
* bug 963152: add a few missing files to sdist tarball
* Fix path to python-quantumclient
* Split out pip requires and aligned tox file
* Fix missing files in sdist package [bug 954906]
* Downgraded required version of WebOb to 1.0.8
* more files missing in sdist tarball
* make sure pip-requires is included in setup.py sdist
* remove pep8 and strict lxml version from setup.py
* plugin: introduce ryu plugin
* bug 934459: pip no longer supports -E
* blueprint quantum-ovs-tunnel-agent
* Initial commit: nvp plugin
* Cleanup the source distribution
* blueprint quantum-linux-bridge-plugin
* Remove quantum CLI console script
* Bug 925372: remove deprecated webob attributes (and also specify stable webob version in pip-requires)
* Make tox config work
* Pin versions to standard versions
* Split out quantum.client and quantum.common
* Quantum was missing depend on lxml
* moving batch config out of quantum-server repo
* Getting ready for the client split
* Removed erroneous print from setup.py
* Base version.py on glance
* Fix lp bug 897882
* Install a good version of pip in the venv
* Rename .quantum-venv to .venv
* Remove plugin pip-requires
* Bug #890028
* Fix for bug 900316
* Second round of packaging changes
* Changes to make pip-based tests work with jenkins
* Fix for bug 888811
* Fix for Bug #888820 - pip-requires file support for plugins
* blueprint quantum-packaging
* Add .gitreview config file for gerrit
* Add code-coverage support to run\_tests.sh (lp860160)

2011.3
------

* Add rfc.sh to help with gerrit workflow
* merge tyler's unit tests for cisco plugin changes lp845140
* merge salv's no-cheetah CLI branch lp 842190
* merge sumit's branch for lp837752
* Merging latest from lp:quantum
* Merging lo:~salvatore-orlando/quantum/quantum-api-auth
* Updating CLI for not using Cheetah anymore. Now using a mechanism based on Python built-in templates
* Merging Sumit's changes including fixes for multinic support, and CLI module for working with extensions
* Merging from Cisco branch
* Merging from lp:quantum
* merge cisco consolidated plugin changes
* Merging lp:~salvatore-orlando/quantum/bug834449
* merge trunk
* Merging from lp:quantum
* merge salvatore's new cli code
* Addressing comments from Dan
* Merging from quantum
* merge cisco extensions branch
* Merging from Sumit's branch, changes to VIF-driver and Scheduler; extension action names have been changed in response to Salvatore's review comments in the extensions branch review
* Syncing with Cisco extensions branch
* Merging from Sumit's branch, import ordering related changes
* Merging the Cisco branch
* Finishing cli work Fixing bug with XML deserialization
* Merging lp:~salvatore-orlando/quantum/quantum-api-alignment
* merge latest quantum branch and resolve conflicts
* Merging lp:~asomya/quantum/lp833163 Fix for Bug #833163: Pep8 violations in recent packaging changes that were merged into trunk (Critical)
* PEP8 fixes for setup.py
* Merging lp:~cisco-openstack/quantum/802dot1qbh-vifdriver-scheduler
* Merging lp:~cisco-openstack/quantum/l2network-plugin-persistence
* Merging lp:quantum
* merging with lp:quantum
* Making Keystone version configurable
* Merging branch: lp:~danwent/quantum/test-refactor
* Syncing with lp:quantum
* Merging fixes and changes batch-config script. Thanks lp:danwent !
* Merging lp:~asomya/quantum/lp824145 Fix for Bug#824145 : Adding a setup script for quantum
* merge trunk pep8 fixes adapting CLI to API v1.0 Fixing wsgi to avoid failure with extensions
* merge trunk
* Pulling in changes from lp:quantum
* Merging Cisco's contribution to Quantum. Thanks to various folks at Cisco Systems, Quantum will have plugins to integrate with Cisco UCS blade servers using 802.1Qbh, Cisco Nexus family of switches and the ability for Quantum plugin to have multiple switches/devices within a single Quantum plugin
* Merging from Sumit's branch pylint fixes and incorporating review comments
* Mergin from cisco brach
* Merging from lp:quantum
* Introducting cheetah Updating list\_nets in CLI Writing unit tests for list\_nets Stubbing out with FakeConnection now
* Merging quantum extenions framework into trunk. Thanks rajaram vinkesh, deepak & santhosh for the great work!
* lp Bug#824145 : Adding a setup script for quantum
* skeleton for cli unit tests
* merge trunk
* Merged quantum trunk
* - Adding setup script
* force batch\_config.py to use json, as XML has issues (see bug: 798262)
* update batch\_config.py to use new client lib, hooray for deleting code
* Merging changes addressing Bug # 802772. Thanks lp:danwent !
* Merging bugfix for Bug 822890 - Added License file for Quantum code distribution
* L2 Network Plugin Framework merge
* Adding Apache Version 2.0 license file. This is the official license agreement under which Quantum code is available to the Open Source community
* merge
* merge heckj's pip-requires fixes
* updates to pip-requires for CI
* Merged quantum trunk
* Merging changes from lp:quantum
* Completing API spec alignment Unit tests aligned with changes in the API spec
* Merging the brand new Quantum-client-library feature
* Merging lp:quantum updates
* persistence of l2network & ucs plugins using mysql - db\_conn.ini - configuration details of making a connection to the database - db\_test\_plugin.py - contains abstraction methods for storing database values in a dict and unit test cases for DB testing - l2network\_db.py - db methods for l2network models - l2network\_models.py - class definitions for the l2 network tables - ucs\_db.py - db methods for ucs models - ucs\_models.py - class definition for the ucs tables dynamic loading of the 2nd layer plugin db's based on passed arguments Create, Delete, Get, Getall, Update database methods at - Quantum, L2Network and Ucs Unit test cases for create, delete, getall and update operations for L2Network and Ucs plugins pep8 checks done branch based off revision 34 plugin-framework
* Merged from trunk
* merged the latest changes from plugin-framework branch - revision 39 conforming to the new cisco plugin directory structure and moving all db related modules into cisco/db folder updated db\_test\_plugin.py  - added import of cisco constants module  - added LOG.getLogger for logging component name  - updated import module paths for l2network\_models/db and ucs\_models/db to use the new directory structure  - updated (rearranged) imports section to obey openstack alphabetical placement convention updated db\_conn.ini  - updated database name from cisco\_naas to quantum\_l2network unit test cases ran successfully and pep8 checks done again
* merge branch for to fix bug817826
* Merging the latest changes from lp:quantum
* fix bug 817826 and similar error in batch\_config.py
* merge Salvatore's api branch with fixes for tests.  Tweaking branch to remove unwanted bin/quantum.py as part of merge
* Santhosh/Rajaram|latest merge from quantum and made extensions use options to load plugin
* Apply fix for bug #797419 merging lp:~salvatore-orlando/quantum/bug797419
* Merging branch lp:~netstack/quantum/quantum-unit-tests
* Merged from quantum trunk
* Adapated plugin infrastructure to allow API to pass options to plugins Now using in-memory sqlite db for tests on FakePlugin teardown() now 'resets' the in-memory db Adding unit tests for APIs
* Adding Routes>=1.12.3 to tools/pip-requires
* Merging dan wendlandt's bugfixes for Bug #800466 and improvements that enable Quantum to seamlessly run on KVM!
* more pep8 goodness
* refactor batch\_config, allow multiple attaches with the empty string
* merge and pep8 cleanup
* Merging latest changes from parent repo - lp:network-service , Parent repo had approved merge proposal for merging lp:~santhom/network-service/quantum\_testing\_framework , which has now been merged into lp:network-service
*  Merging pep8 and functional test related changes lp:~santhom/network-service/quantum\_testing\_framework branch
* add example to usage string for batch\_config.py
* Bug fixes and clean-up, including supporting libvirt
* Santhosh/Vinkesh | Added the testing framework. Moved the smoketest to tests/functional
* Pushing initial started code based on Glance project and infrstructure work done by the melange team
* Merging in latest changes from lp:quantum
